/*
Theme Name: Vault Child
Theme URI: https://vault.merchantsbestfriends.com
Template: vault
Author: Kiwi
Author URI: https://kiwi.lt
Description: Full-Site Editing Theme for Electronics Stores
Tags: e-commerce,one-column,two-columns,three-columns,four-columns,wide-blocks,block-patterns
Version: 1.0.6.1776190127
Updated: 2026-04-14 18:08:47

*/

/* :root {
	--kiwi-color-main: #ea5832;
	--kiwi-color-white: #fff;
	--mbf-color-input-bg: #fff;
}

:root :where(.is-style-post-terms-badge--4 a:where(:not(.wp-element-button))) {
	background-color: var(--kiwi-color-main);
	color: var(--kiwi-color-white);
	border-color: var(--kiwi-color-main);
} */

.mbf-phone-button .wp-element-button {
	background-color: transparent !important;
	font-size: 0 !important;
	color: inherit !important;
	cursor: pointer !important;
	position: relative !important;
	width: var(--mbf-icon-width);
	height: var(--mbf-icon-width);
	padding: 0 !important;
	transition: var(--mbf-transition);
}

.mbf-phone-button .wp-element-button::before {
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateY(-50%) translatex(-50%);
	z-index: 2;
	display: block;
	height: 27px;
	width: 27px;
	background: currentcolor;
	-webkit-mask: url(assets/icons/phone.svg) no-repeat center / contain;
	mask: url(assets/icons/phone.svg) no-repeat center / contain;
}

.wp-block-accordion.is-type-mbf-style-1
	.wp-block-accordion-item
	.wp-block-accordion-panel,
.wp-block-accordion.is-type-mbf-style-2
	.wp-block-accordion-item
	.wp-block-accordion-panel {
	font-size: 16px !important;
	font-weight: 400;
}

.wc-block-product-description h2,
.wc-block-product-description h3 {
	font-size: 20px !important;
	font-weight: 500;
	line-height: 1.2;
}

img.attachment-woocommerce_single.size-woocommerce_single {
    aspect-ratio: 16 / 9 !important;
}

/* @media (max-width: 575.98px) {
	.mbf-promo[data-mbf-stretch-mobile="true"] > .wp-block-group {
		gap: 16px !important;
	}
} */

@container adaptiveproducts (min-width: 0) and (max-width: 419.98px) {
	.wc-block-product-template.wc-block-product-template__responsive.columns-2,
	.wc-block-product-template.wc-block-product-template__responsive.columns-3,
	.wc-block-product-template.wc-block-product-template__responsive.columns-4,
	.wc-block-product-template.wc-block-product-template__responsive.columns-5,
	.wc-block-product-template.wc-block-product-template__responsive.columns-6 {
		grid-template-columns: repeat(
			auto-fill,
			minmax(
				max(300px, (100% - var(--mbf-product-grid-column-gap)) / 2),
				1fr
			)
		);
	}
}
